package ue000_MrSnowman;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class MrSnowman
{
	private static String IMG_PFAD = "src/_images/";
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String name;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public MrSnowman(String aName)
	{
		setName(aName);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		G2D.setVisible();
		
		G2D.drawImage(IMG_PFAD + "Unbenannt.jpg", -300, 0, 800, 0, name); //Hintergrund setzen
		
		//Weiser Körper (von unten nach oben)
		G2D.fillOval(300, 600, 150, 150, G2D.WHITE, null);
		G2D.fillOval(325, 550, 100, 100, G2D.WHITE, null);
		G2D.fillOval(337, 500, 75, 75, G2D.WHITE, null);
		
		//Schwarzer punkte (von unten nach oben)
		G2D.fillOval(363, 700, 25, 25, G2D.BLACK, null);
		G2D.fillOval(363, 650, 25, 25, G2D.BLACK, null);
		G2D.fillOval(363, 600, 25, 25, G2D.BLACK, null);
		
		//Gesicht
		G2D.drawArc(370, 530, 30, 30, 180, 180, G2D.BLACK, null); //Mund
		G2D.fillOval(365, 525, 10, 10, G2D.BLACK, null);//Linkes Auge
		G2D.fillOval(397, 525, 10, 10, G2D.BLACK, null);//Rechtes Auge
		
		//Hut
		G2D.fillRect(350, 450, 50, 60, G2D.GREEN, null);// Oberer Teil
		G2D.fillRect(350, 500, 80, 10, G2D.GREEN, null);// Unter Teil
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the name
	 */
	public String getName()
	{
		return name;
	}

	/**
	 * @param aName the name to set
	 */
	public void setName(String aName)
	{
		if (aName == null)
			throw new IllegalArgumentException("Name darf nicht null sein");
		// jetzt ist alles gut
		name = aName;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
