package ue111_Fahrzeuge;

/****************************************************************************************************
 * 
 * TODO LKW erzeugen
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class LKW extends Fahrzeug
{

	
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private double maxGewicht;
	private double aktGewicht;


	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public LKW(String aFIN, String aMarke, char aTreibstoff, double aMaxGewicht)
	{
		super(aFIN, aMarke, aTreibstoff);
		
		if(aMaxGewicht < 1000 || aMaxGewicht > 50000)
			throw new IllegalArgumentException("Max Gewicht muss zwischen 1000 und 50000 sein");
		
		//Alles ist gut
		maxGewicht = aMaxGewicht;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	/**
	 * TODO Beled den LKW, Wenn es zu voll ist gibt es False zurück sonst True
	 *
	 * @param g		Gewicht dass geladen wird
	 * @return		Ob es beladen konnte
	 */
	public boolean beladen(double g)
	{
		aktGewicht += g;
		if(aktGewicht < 0 || aktGewicht > maxGewicht)
			return false;
		
		return true;
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
	/**
	 * @return the maxGewicht
	 */
	public double getMaxGewicht()
	{
		return maxGewicht;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		super.toString();
		return String.format("LKW [maxGewicht=%s, aktGewicht=%s]", maxGewicht, aktGewicht);
	}


	// -------- Ende der Klasse 
}
