package ue121_Figuren;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Quadrat erstellen
 *
 * @author Sven Marceta
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Quadrat extends Figur
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int seitenlaenge;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Quadrat(int aX, int aY, Color aFarbe, boolean aFill, int aSeitenlaenge)
	{
		super(aX, aY, aFarbe, aFill);
		setSeitenlaenge(aSeitenlaenge);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		if(isFill())
			G2D.fillRect(	getX() - getSeitenlaenge(),// wird gereachnet damit die Figur in der Mitte ist
							getY()- getSeitenlaenge(),
							getSeitenlaenge(),
							getSeitenlaenge(),
							getFarbe(),
							this);
		else
			G2D.drawRect(	getX() - getSeitenlaenge(),// wird gereachnet damit die Figur in der Mitte ist
							getY()- getSeitenlaenge(),
							getSeitenlaenge(),
							getSeitenlaenge(),
							getFarbe(),
							this);
	}


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
	/**
	 * @param aSeitenlaenge the seitenlaenge to set
	 */
	public void setSeitenlaenge(int aSeitenlaenge)
	{
		if(aSeitenlaenge <= 0)
			throw new IllegalArgumentException("Darf nicht kleiner als 0 sein");
		seitenlaenge = aSeitenlaenge;
	}
	/**
	 * @return the seitenlaenge
	 */
	public int getSeitenlaenge()
	{
		return seitenlaenge;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		System.out.print("Quadrat ");
		System.out.print(super.toString());
		return String.format(" [seitenlaenge=%s] \n", seitenlaenge);
	}
	
	// -------- Ende der Klasse 
}
