package ue131_Wildtiere;

/****************************************************************************************************
 * 
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public interface _IWildtier
{

	// -------------------------------------------------------------------------
	// Diese Methoden sind abstrakt und müssen von der abgeleiteten Klasse
	// implementiert werden
	//
	/** --------------------------------------------------------------------------------<br>
	 * Da wir nicht wissen welches Tier, können wir nicht sagen wie es sich bewegt
	 * Wir wissen jedoch dass sich ein Tier bewegt!
	 * Wie sich das Tier bewegt, muss in der abgeleiteten Klasse festgelegt werdwen.
	 */
	void bewegeDich();

	/** --------------------------------------------------------------------------------<br>
	 * Da wir nicht wissen welches Tier, können wir nicht sagen welchen laut es von sich gibt.
	 * Wir wissen jedoch dass sich Tiere Laute von sich geben!
	 * Was das Tier für einen Laut macht, muss in der abgeleiteten Klasse festgelegt werdwen.
	 */
	void gibLaut();

	/** --------------------------------------------------------------------------------<br>
	 * Da wir nicht wissen welches Tier, können wir nicht sagen was das Tier frisst.
	 * Wir wissen jedoch dass Tiere etwas fressen.
	 * Was das Tier frisst, muss in der abgeleiteten Klasse festgelegt werdwen.
	 */
	void frissEtwas();

	/** --------------------------------------------------------------------------------<br>
	 * ID. Braucht keinen Setter, ändert sich nicht
	 * 
	 * @return 	id
	 */
	String getId();

	/** --------------------------------------------------------------------------------<br>
	 * Tierart. Braucht keinen Setter, ändert sich nicht
	 * 
	 * @return 	art
	 */
	String getArt();

	/** --------------------------------------------------------------------------------<br>
	 * Alter des Tierers
	 * 
	 * @return alter
	 */
	int getAlter();

	/** --------------------------------------------------------------------------------<br>
	 * Alter des Tieres setzen
	 * 
	 * @param aAlter the alter to set
	 */
	void setAlter(int aAlter);

	// -------------------------------------------------------------------------
	String toString();

}