package ue134_Haustiere;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Hund extends Haustier
{
	
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String chipID;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Hund(String aName, String aRasse, String aChipID, int aAlter)
	{
		super(aName, aRasse, aAlter);
		
		if(aChipID == null)
			throw new NullPointerException("ChipID darf nicht NULL sein");
		if(aChipID	.equals(""))		
			throw new IllegalArgumentException("ChipID darf nicht Leer sein");
		chipID = aChipID;
	}

	

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void bewegeDich()
	{
		System.out.printf("%s: Rennt herum \n", chipID);
	}

	@Override
	public void gibLaut()
	{
		System.out.printf("%s: WOOF! \n", chipID);
	}

	@Override
	public void frissEtwas()
	{
		System.out.printf("%s: Es isst Trocken Futter \n", chipID);
	}
	
	public void geheGassi()
	{
		System.out.printf("%s:  \n", chipID);
	}
	
	public void hechle()
	{
		System.out.printf("%s: Hechlet \n", chipID);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the chipID
	 */
	public String getChipID()
	{
		return chipID;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Hund [chipID=%s, getName()=%s, getAlter()=%s, getRasse()=%s, getLieblingsFutter()=%s]",
				chipID, getName(), getAlter(), getRasse(), getLieblingsFutter());
	}


	// -------- Ende der Klasse 
}
