package ue134_Haustiere;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Kuh extends Haustier
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String farbe;


	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Kuh(String aName, String aRasse, String aFarbe, int aAlter)
	{
		super(aName, aRasse, aAlter);
		
		if(aFarbe == null)
			throw new NullPointerException("Farbe darf nicht NULL sein");
		if(aFarbe	.equals(""))		
			throw new IllegalArgumentException("Farbe darf nicht Leer sein");
		farbe = aFarbe;
	}
	

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void bewegeDich()
	{
		System.out.printf("%s: Es bewegt sich \n", getName());
	}

	@Override
	public void gibLaut()
	{
		System.out.printf("%s: MOOOOOOOO \n", getName());
	}

	@Override
	public void frissEtwas()
	{
		System.out.printf("%s: Es frisst heu \n", getName());
	}
	
	public void wiederkauen()
	{
		System.out.printf("&s: Wiederkauen \n", getName());
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
	/**
	 * @return the farbe
	 */
	public String getFarbe()
	{
		return farbe;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Kuh [farbe=%s, getName()=%s, getAlter()=%s, getRasse()=%s, getLieblingsFutter()=%s]",
				farbe, getName(), getAlter(), getRasse(), getLieblingsFutter());
	}


	// -------- Ende der Klasse 
}
