package ue141L_HerrDerRinge;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Ork extends Wesen
{
	// -------------------------------------------------------------------------------------
		// Instanzvariablen/Klassenvariablen
		private String rang;

		// -------------------------------------------------------------------------------------
		// KONSTRUKTOR oder main
		public Ork(String aName, int aStaerke, String aWaffe, String aRang)
		{
			super(aName, aStaerke, aWaffe);
			setRang(aRang);
		}

		// -------------------------------------------------------------------------------------
		// INSTANZMETHODEN
		@Override
		public void kaempfen()
		{
			System.out.printf("Ork %s: AAARRGGHHH\n", getName());
		}

		@Override
		public void schlafen()
		{
			System.out.printf("Ork %s: ZZZZZZZZZZZZZZZZZZZZZZZZZ \n", getName());
		}

		@Override
		public void laufen()
		{
			System.out.printf("Ork %s: *Stampf* *Stampf* *Stampf* \n", getName());
		}
		
		public void streiten()
		{
			System.out.printf("Ork %s: DU SCHUMMELST!!! \n", getName());
		}
		
		// -------------------------------------------------------------------------------------
		// GETTER / SETTER
		/**
		 * @return the status
		 */
		public String getRang()
		{
			return rang;
		}
		/**
		 * @param aStatus the status to set
		 */
		public void setRang(String aRang)
		{
			if(aRang == null)
				throw new NullPointerException("Rang darf nicht null sein");
			if(aRang.equals(""))
				throw new IllegalArgumentException("Rang darf nicht leer sein");
			
			rang = aRang;
		}

		// -------------------------------------------------------------------------------------
		// TOSTRING
		@Override
		public String toString()
		{
			return String.format(
					"Ork [Rang=%s, Name=%s, Staerke=%s, Waffe=%s, FreundVon=%s, X=%s, Y=%s]",
					getRang(), getName(), getStaerke(), getWaffe(), getFreundVon(), getX(), getY());
		}


	// -------- Ende der Klasse 
}
