package ue241_HerrDerRinge;

/****************************************************************************************************
 * 
 * TODO Hobbit erstellen
 *
 * @author Sven Marceta
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Hobbit extends Wesen
{

	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int alter;


	

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Hobbit(String aName, int aStaerke, String aWaffe, int aAlter)
	{
		super(aName, aStaerke, aWaffe);
		setAlter(aAlter);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void kaempfen()
	{
		System.out.printf("Hobbit %s: Ich weiß nicht ob ich bereit dafür bin! \n", getName());
	}


	@Override
	public void schlafen()
	{
		System.out.printf("Hobbit %s: Endlich! \n", getName());
	}


	@Override
	public void laufen()
	{
		System.out.printf("Hobbit %s: ach ne!! \n", getName());		
	}

	public void verstecken()
	{
		System.out.printf("Hobbit %s: Versteckn kann ich am besten! \n", getName());
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the alter
	 */
	public int getAlter()
	{
		return alter;
	}
	/**
	 * @param aAlter the alter to set
	 */
	public void setAlter(int aAlter)
	{
		if(aAlter < 0)
			throw new IllegalArgumentException("Alter darf nicht kleiner als 0 sein!");
		alter = aAlter;
	}

	

	

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Hobbit [alter=%s, toString()=%s]", alter, super.toString());
	}

	// -------- Ende der Klasse 
}
