package ue322_Steuerung;

/****************************************************************************************************
 * 
 * Interface für Methoden, welche ein Objekt steuern können
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

public interface _ISteuerung
{
	public double nachLinks(double aGrad);
	public double nachRechts(double aGrad);

	public double beschleunigen(double metProSek2, double sek);
	public double beschleunigen(double sek); // Vollgas

	public double bremsen(double metProSek2, double sek);
	public double bremsen(double sek); // Vollbremsung


	public double getRichtung();

	public double getGeschwindigkeit();
}
