package ue110_Gearte;

import ue101_Geraete.Geraet;

/****************************************************************************************************
 * 
 * 
 *
 * @author Enes Doganay
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Drucker extends Geraet
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private boolean kannFarbedrucken;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Drucker(String aBezeichnung, String aHersteller)
	{
		super(aBezeichnung, aHersteller);
	}

	public Drucker(String aBezeichnung, String aHersteller, boolean aKannFarbeDrucken)
	{
		super(aBezeichnung, aHersteller);
		kannFarbedrucken = aKannFarbeDrucken;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void print()
	{
		super.print();
		System.out.printf("Farbe: %s\n", kannFarbedrucken);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public boolean isKannFarbedrucken()
	{
		return kannFarbedrucken;
	}

	public void setKannFarbedrucken(boolean aKannFarbedrucken)
	{
		kannFarbedrucken = aKannFarbedrucken;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	public String toString()
	{
		return "Drucker [kannFarbedrucken=" + kannFarbedrucken + "]";
	}
	// -------- Ende der Klasse
}
