package ue111_Fahrzeuge;

/****************************************************************************************************
 * 
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public interface _IFahrzeug
{

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	/** --------------------------------------------------------------------------------<br>
	* Beschleunigen mit a, für eine Zeitdauer t
	*
	* @param a		Beschleunigung
	* @param t		Dauer der Beschleunigung
	* @return		Geschwindigkeit nach der Beschleunigung
	*/
	double beschleunigen(double a, double t);

	/** --------------------------------------------------------------------------------<br>
	* Bremsen mit Bremsbeschleunigung a, für eine Zeitdauer t
	*
	* @param a		Bremsbeschleunigung
	* @param t		Dauer der Beschleunigung
	* @return		Geschwindigkeit nach der Bremsung
	*/
	double bremsen(double a, double t);

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
	/* Es gibt keine sinnvollen SETTER
	 * 		marke         - kann nicht geändert werden
	 * 		fahrgestellNr - nur von Gaunern geändert, nicht von uns
	 * 		treibstoff    - kann nicht geändert werden
	 * 		vAktuell      - wird durch Methoden sinnvoll geändert	
	*/
	double getvAktuell();

	/**
	 * @return the fin
	 */
	String getFin();

	/**
	 * @return the marke
	 */
	String getMarke();

	/**
	 * @return the treibstoff
	 */
	char getTreibstoff();

	// -------------------------------------------------------------------------------------
	// TOSTRING
	String toString();

}