package ue120_FigurAbstract;

import java.awt.Color;
import java.awt.Paint;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public abstract class Figur
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int x;
	private int y;
	private Color farbe;
	

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Figur(int aX, int aY, Color aFarbe)
	{
		
		setX(aX);
		setY(aY);
		setFarbe(aFarbe);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public abstract void paint();

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * retunr x und y
	 */
	public void setXY(int aX, int aY)
	{
		x = aX;
		y = aY;
	}
	/**
	 * @return the x
	 */
	public int getX()
	{
		return x;
	}
	/**
	 * @param aX the x to set
	 */
	public void setX(int aX)
	{
		x = aX;
	}
	/**
	 * @return the y
	 */
	public int getY()
	{
		return y;
	}
	/**
	 * @param aY the y to set
	 */
	public void setY(int aY)
	{
		y = aY;
	}
	/**
	 * @return the farbe
	 */
	public Color getFarbe()
	{
		return farbe;
	}
	/**
	 * @param aFarbe the farbe to set
	 */
	public void setFarbe(Color aFarbe)
	{
		if(aFarbe == null)
			throw new NullPointerException("Farbe darf nicht null sein");
		farbe = aFarbe;
	}
	
	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Figur [x=%s, y=%s, farbe=%s]", x, y, farbe);
	}


	// -------- Ende der Klasse 
}
