package ue120_FigurAbstract;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Quadrat extends Figur
{
	

	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int seitenlaenge;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Quadrat(int aX, int aY, Color aFarbe, int aSeitenlaenge)
	{
		super(aX, aY, aFarbe);
		setSeitenlaenge(aSeitenlaenge);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		G2D.fillRect(	getX() - getSeitenlaenge(),// wird gereachnet damit die Figur in der Mitte ist
						getY()- getSeitenlaenge(),
						getSeitenlaenge(),
						getSeitenlaenge(),
						getFarbe(),
						this);
	}


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
	/**
	 * @param aSeitenlaenge the seitenlaenge to set
	 */
	public void setSeitenlaenge(int aSeitenlaenge)
	{
		if(aSeitenlaenge <= 0)
			throw new IllegalArgumentException("Darf nicht kleiner als 0 sein");
		seitenlaenge = aSeitenlaenge;
	}
	/**
	 * @return the seitenlaenge
	 */
	public int getSeitenlaenge()
	{
		return seitenlaenge;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse 
}
