package ue141L_HerrDerRinge;

import java.util.Random;

import sew.G2D;

/****************************************************************************************************
 * 
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */


//---------------------------------------------------------------------------------------------------
public class _Main_HerrDerRinge
{
	// -------------------------------------------------------------------------------------
	public static void main(String[] args)
	{
		G2D.setVisible();
		G2D.setGridVisible(true);
		
		//-------------------------------------------------------------------------
		//Initialiesirung
		Zauberer    gandalf = new Zauberer("Gandalf", 85, "Stab", "Der Graue");
					gandalf.setPicture("src/_Images/HdR-Gandalf.png");
		
		Hobbit      frodo   = new Hobbit("Frodo", 85, "Ring", 45);
					frodo.setPicture("src/_Images/HdR-Frodo.png");
					frodo.setFreundVon(gandalf);
	
		Hobbit      samweis = new Hobbit("Samweis", 55,"Schwert", 42);
					samweis.setPicture("src/_Images/HdR-Samweis.png");
					samweis.setFreundVon(frodo);
    
		Zwerg       gimli   = new Zwerg("Gimli", 80, "Axt", 155);
					gimli.setPicture("src/_Images/HdR-Gimli.png");
					gimli.setFreundVon(frodo);
	
		Elfe        legolas = new Elfe("Legolas", 80, "Bogen", 250);
					legolas.setPicture("src/_Images/HdR-Legolas.png");
					legolas.setFreundVon(gimli);
	
		Ork         uruk    = new Ork("Uruk", 75, "Felsen", "Chef");
					uruk.setPicture("src/_Images/HdR-Uruk.png");
		

		
		// ------------------------------------------------------------------------
		// Gib alle Wesen in der Konsole aus
		System.out.printf("%s \n", frodo.toString());
		System.out.printf("%s \n", gandalf.toString());
		System.out.printf("%s \n", samweis.toString());
		System.out.printf("%s \n", legolas.toString());
		System.out.printf("%s \n", gimli.toString());
		System.out.printf("%s \n", uruk.toString());
		
		// -----------------------------------------------------------------------------
		// Lass alle Wesen kämpfen schlafen und laufen
		// Lass weiters alle
		// 		Hobbits verstecken 
		//		Zauberer zaubern
		// 		Orks streiten
		//		Zwerge streiten
		//		Elfen Bogen schiessen
			//Frordo und samwei sind beide Hobbit, haben gleise ausgaben, deswegen nur frodo
			// Kämpfen ------------
			frodo.kaempfen();
			gandalf.kaempfen();
			legolas.kaempfen();
			gimli.kaempfen();
			uruk.kaempfen();
			// Schalfen -----------
			frodo.schlafen();
			gandalf.schlafen();
			legolas.schlafen();
			gimli.schlafen();
			uruk.schlafen();
			// Laufen -------------
			frodo.laufen();
			gandalf.laufen();
			legolas.laufen();
			gimli.laufen();
			uruk.laufen();
			// Spezial ------------
			frodo.verstecken();
			gandalf.zaubern();
			legolas.bogenSchiessen();
			gimli.streiten();
			uruk.streiten();

		// ------------------------------------------------------------------------
		// Gib die Bilder aller Wesen im Grafikfenster an einer zufälligen Position aus
		// Instance of random class
	      Random rand = new Random(); 
	      // Setting the upper bound to generate the
	      // random numbers in specific range
	      int upperbound = 800;
	      // Generating random values from 0 - 800 
	      // using nextInt()
	      //Exempels
	      int int_randomX = rand.nextInt(upperbound);
	      int int_randomY = rand.nextInt(upperbound);
	      
	      frodo.paint(int_randomX, int_randomY);
	      //generates new Random numbers
	      gandalf.paint(rand.nextInt(upperbound), rand.nextInt(upperbound));
	      legolas.paint(rand.nextInt(upperbound), rand.nextInt(upperbound));
	      gimli.paint(rand.nextInt(upperbound), rand.nextInt(upperbound));
	      uruk.paint(rand.nextInt(upperbound), rand.nextInt(upperbound));
	      samweis.paint(rand.nextInt(upperbound), rand.nextInt(upperbound));
	      
		
		// ------------------------------------------------------------------------
		// Bewege alle Wesen auf eine zufällige Position
	      frodo.moveTo(0, 0, 6);
	      System.out.print(frodo.getX());
	      gandalf.moveTo(rand.nextInt(upperbound), rand.nextInt(upperbound), 1);
	      legolas.moveTo(rand.nextInt(upperbound), rand.nextInt(upperbound), 2);
	      gimli.moveTo(rand.nextInt(upperbound), rand.nextInt(upperbound), 3);
	      uruk.moveTo(rand.nextInt(upperbound), rand.nextInt(upperbound), 4);
	      samweis.moveTo(rand.nextInt(upperbound), rand.nextInt(upperbound), 5);
	}
}
