package ue231_Zoo;

/****************************************************************************************************
 * 
 * Verwaltung der Tiere eines Zoos
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class _Main_ZooSuS
{
	// -------------------------------------------------------------------------------------
	public static void main(String[] args)
	{
		Zoo zoo = new Zoo();

		zoo.neuesTierAufnehmen(new Elefant("ELE-1001", "Indischer Elefant", 12));
		zoo.neuesTierAufnehmen(new Gazelle("GAZ-2001", "Streifengazelle", 2));
		zoo.neuesTierAufnehmen(new Gorilla("GOR-4001", "Orang Utan", 8));
		zoo.neuesTierAufnehmen(new Gazelle("GAZ-2003", "Streifengazelle", 4));
		zoo.neuesTierAufnehmen(new Gepard("GEP-3001", "Gepard", 3));
		zoo.neuesTierAufnehmen(new Elefant("ELE-1002", "Afrikanischer Elefant", 25));
		zoo.neuesTierAufnehmen(new Gorilla("GOR-4002", "Berggorilla", 14));
		zoo.neuesTierAufnehmen(new Loewe("LOE-5001", "Asiatischer Löwe", 5));
		zoo.neuesTierAufnehmen(new Loewe("LOE-5002", "Senegal Löwe", 5));
		zoo.neuesTierAufnehmen(new Gazelle("GAZ-2002", "Streifengazelle", 4));


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller Tiere\n");		
		zoo.printTierListe();

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ANZAHL der Löwen, Geparden, Elefanten, Gazellen, Gotillas \n");		
		System.out.printf("Anzah Löwen: 		%s \n", zoo.getAnzLoewen());
		System.out.printf("Anzah Geparden: 	%s \n", zoo.getAnzGepard());
		System.out.printf("Anzah Elefanten: 	%s \n", zoo.getAnzElefanten());
		System.out.printf("Anzah Gazellen: 	%s \n", zoo.getAnzGazellen());
		System.out.printf("Anzah Gorillas: 	%s \n", zoo.getAnzGorilla());
		
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ELEFANTEN IM SCHLAMM \n");		
		zoo.alleElefantenWaelzenSich();
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE GORILLAS AUF DEN BAUM \n");		
		zoo.alleGorillasKletternAufDenBaum();
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE LÖWEN BRÜLLEN \n");		
		zoo.alleLoewenBruellen();
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE TIERE BEWEGEN \n");		
		zoo.alleTiereBewegen();

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE TIERE FÜTTERN \n");		
		zoo.alleTiereFuettern();
	}

}