package ue241_HerrDerRinge;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Zwerg extends Wesen
{
	// -------------------------------------------------------------------------------------
		// Instanzvariablen/Klassenvariablen
		private int groesse;

		// -------------------------------------------------------------------------------------
		// KONSTRUKTOR oder main
		public Zwerg(String aName, int aStaerke, String aWaffe, int aGroesse)
		{
			super(aName, aStaerke, aWaffe);
			setGroesse(aGroesse);
		}

		// -------------------------------------------------------------------------------------
		// INSTANZMETHODEN
		@Override
		public void kaempfen()
		{
			System.out.printf("Zwerg %s: Uns Zwerge besiegt man niemand! \n", getName());
		}

		@Override
		public void schlafen()
		{
			System.out.printf("Zwerg %s: Aachhhhhhhh pfuuuuuuuuuu.... \n ", getName());
		}

		@Override
		public void laufen()
		{
			System.out.printf("Zwerg %s: Laufen!? Mit meinen Kurzen beinen???\n", getName());		
		}

		public void streiten()
		{
			System.out.printf("Zwerg %s: Mein Bart sieht nicht aus wie ein Stinktier!\n", getName());
		}

		// -------------------------------------------------------------------------------------
		// GETTER / SETTER
		/**
		 * @return the groesse
		 */
		public int getGroesse()
		{
			return groesse;
		}
		/**
		 * @param aGroesse the groesse to set
		 */
		public void setGroesse(int aGroesse)
		{
			if(aGroesse <= 0)
				throw new IllegalArgumentException("groesse darf nicht kleiner als 0 sein!");
			groesse = aGroesse;
		}


		// -------------------------------------------------------------------------------------
		// TOSTRING
		@Override
		public String toString()
		{
			return String.format("Zwerg [groesse=%s, toString()=%s]", groesse, super.toString());
		}
		
	// -------- Ende der Klasse 
}
