package ue241_HerrDerRinge;

import sew.G2D;

/****************************************************************************************************
 * 
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */


//---------------------------------------------------------------------------------------------------
public class _Main_HerrDerRinge2
{
	// -------------------------------------------------------------------------------------
	public static void main(String[] args)
	{
		// ------------------------------------------------------------------------
		Zauberer    gandalf = new Zauberer("Gandalf", 85,"a", "Der Graue");
					gandalf.setPicture("/_Images/HdR-Gandalf.png");
					
		Hobbit      frodo   = new Hobbit("Frodo", 85,"a", 45);
					frodo.setPicture("/_Images/HdR-Frodo.png");
					frodo.setFreundVon(gandalf);

		Hobbit      samweis = new Hobbit("Samweis", 55,"a", 42);
					samweis.setPicture("/_Images/HdR-Samweis.png");
					samweis.setFreundVon(frodo);

		Zwerg       gimli   = new Zwerg("Gimli", 80,"a", 155);
					gimli.setPicture("/_Images/HdR-Gimli.png");
					gimli.setFreundVon(frodo);

		Elfe        legolas = new Elfe("Legolas", 80,"a", 250);
					legolas.setPicture("/_Images/HdR-Legolas.png");
					legolas.setFreundVon(gimli);
		
		Ork         uruk    = new Ork("Uruk", 75,"a", "Chef");
					uruk.setPicture("/_Images/HdR-Uruk.png");

		
		G2D.setVisible();
		
		// ------------------------------------------------------------------------
		FilmFiguren hdr = new FilmFiguren();

		// ------------------------------------------------------------------------
		// Füge alle Wesen zur Liste hinzu 
		
		   hdr.neueSpielfigur(uruk);
		   hdr.neueSpielfigur(legolas);
		   hdr.neueSpielfigur(gimli);
		   hdr.neueSpielfigur(samweis);
		   hdr.neueSpielfigur(frodo);
		   hdr.neueSpielfigur(gandalf);
		
		System.out.printf("------------------------------------------------------------------- \n");
		System.out.printf("Liste aller Filmfiguren \n");

			hdr.printAlleFiguren();
		
		
		
		System.out.printf("------------------------------------------------------------------- \n");
		System.out.printf("Liste aller Filmfiguren, "
						+ "welche als Freund bei einem anderen Wesen eingetragen  sind: \n");
		
			hdr.printAlleFiguren();
			
			for(Wesen figur :hdr.getWesenDieFreundeSind())
			{
				System.out.printf("Freund bei einem anderen Wesen: %s \n", figur.toString());
			}
			

		
		
		System.out.printf("------------------------------------------------------------------- \n");
		System.out.printf("Anzahl der Wesen ohne Orks \n");
		
		   System.out.printf("%s \n", hdr.getAnzFigurenOhneOrks());

		
		
		// ------------------------------------------------------------------------
		// Lasse
		//		- alle Orks streiten
		//		- alle Figuren kämpfen
		//		- Zauberer zaubern
		System.out.printf("------------------------------------------------------------------- \n");
		
		   hdr.alleOrksStreiten();
		   hdr.alleFigurenKaempfen();
		   hdr.alleZaubererZaubern();
		
		// ------------------------------------------------------------------------
		// Gib die Bilder der Filmfiguren an zufälligen Positionen aus
		
		   hdr.paintAlleFigurenRandom();

		
		
		// ------------------------------------------------------------------------
		hdr.paintAlleFigurenRandom();
		for (int i = 0; i < 10; i++)
		{
			hdr.moveAlleFigurenRandom();
		}
	}
}
