package ue321_Hardware;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Notebook extends Hardware implements _IIP4_Basics
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	String ip4Adresse;
	String ip4SubNet;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Notebook(String aBezeichnung, String aHersteller)
	{
		//In HARDWARE wird es gestzt
		super(aBezeichnung, aHersteller);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
	@Override
	public String getAdresse()
	{
		return ip4Adresse;
	}

	@Override
	public void setAdresse(String aAddress)
	{
		if(aAddress == null)
			throw new NullPointerException("Addresse darf nicht NULL sein!");
		ip4Adresse = aAddress;
	}

	@Override
	public String getSubNet()
	{
		return ip4SubNet;
	}

	@Override
	public void setSubNet(String aSubNetMask)
	{
		if(aSubNetMask == null)
			throw new NullPointerException("SubNetMask darf nicht NULL sein!");
		ip4SubNet = aSubNetMask;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Notebook [ip4Adresse=%s, ip4SubNet=%s, toString()=%s]", ip4Adresse, ip4SubNet,
				super.toString());
	}

	// -------- Ende der Klasse 
}
